/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Zombie.hpp                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/04 10:52:33 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/04 14:49:24 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <string>
class	Zombie {
	private:
		std::string	name;
	public:
		void		announce(void);

		Zombie(std::string name);
		~Zombie(void);
};

Zombie		*newZombie(std::string name);
void		randomChump(std::string name);
